Bug 1169283 - Header file missing package flint-devel
Header file missing package flint-devel
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Jan Engelhardt
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-13 10:35 UTC by Philipp Maierhöfer
Modified: 2020-09-28 13:15 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Maierhöfer 2020-04-13 10:35:17 UTC
The package flint-devel from the Tumbleweed OSS repository is broken, because it is missing the file /usr/include/flint/config.h. This file is required for inclusion by the FLint header files.

I understand that this is considered an upstream issue, because FLint includes the config file with "#include config.h". See
https://build.opensuse.org/package/show/science/flint
https://github.com/wbhart/flint2/issues/521
The latter issue has been closed, because it is considered an issue of opensuse.

I'm writing this in the hope that people start talking to each other. But if noone is willing to fix this on either side, shouldn't the package at least be removed from the system repositories?

Note that also Leap 15.1 is affected.
Comment 1 Jan Engelhardt 2020-09-14 13:19:04 UTC
The package /science/flint was fixed on or about 2020-08-31; the submission for openSUSE:Factory is sr 830593.
Comment 2 Philipp Maierhöfer 2020-09-18 08:57:07 UTC
Works on Tumbleweed. Thanks!

I guess this won't make it into Leap before the next major release. But I can live with that.
Comment 3 OBSbugzilla Bot 2020-09-18 09:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1169283) was mentioned in
https://build.opensuse.org/request/show/835373 Factory / flint
Comment 4 OBSbugzilla Bot 2020-09-21 15:20:08 UTC
This is an autogenerated message for OBS integration:
This bug (1169283) was mentioned in
https://build.opensuse.org/request/show/835843 15.2 / flint
Comment 5 Swamp Workflow Management 2020-09-24 22:14:04 UTC
openSUSE-RU-2020:1519-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1169283
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    flint-3.0~7794-lp152.4.3.1
Comment 6 Swamp Workflow Management 2020-09-28 13:15:17 UTC
openSUSE-RU-2020:1557-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1169283
CVE References: 
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    flint-3.0~7794-bp152.4.3.1